System.Core 4.0.0.0 System.IO.Pipes.PipeStream System.MonoTODO("Anonymous pipes are not working even on win32, due to some access authorization issue")

Anonymous pipes help provide safe and secure interprocess communication between child and parent processes. The class enables a parent process to send or receive information from a child process.

Anonymous pipes are unnamed, one-way pipes that typically transfer data between parent and child processes. Anonymous pipes are always local; they cannot be used over a network. A value of is not supported because anonymous pipes are defined to be one-way.

Anonymous pipes do not support read modes.

The client side of an anonymous pipe must be created from a pipe handle provided by the server side by calling the method. The string is then passed as a parameter when creating the client process. From the client process, it is then passed to the constructor as the parameter.

The object must dispose the client handle using the method in order to be notified when the client exits.

For winxppro and win2kserver, a maximum of 10 pipes can simultaneously connect over the network.

Exposes a stream around an anonymous pipe, which supports both synchronous and asynchronous read and write operations.

- Constructor
  4.0.0.0

  For constructors without a parameter, the default direction is . A value of is not supported because anonymous pipes are defined to be one-way.

  This constructor creates an object that has the default buffer size, no pipe security, and a value of .

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  A value of is not supported because anonymous pipes are defined to be one-way.

  This constructor creates an object that has the default buffer size, no pipe security, and a value of .

  Initializes a new instance of the class with the specified pipe direction.

  One of the enumeration values that determines the direction of the pipe.
- Constructor
  4.0.0.0

  A value of is not supported because anonymous pipes are defined to be one-way.

  This constructor creates an object that has the default buffer size and no pipe security.

  Initializes a new instance of the class with the specified pipe direction and inheritability mode.

  One of the enumeration values that determines the direction of the pipe.
  One of the enumeration values that determines whether the underlying handle can be inherited by child processes. Must be set to either or .
- Constructor
  4.0.0.0
  System.MonoTODO

  A value of is not supported because anonymous pipes are defined to be one-way.

  Initializes a new instance of the class from the specified pipe handles.

  One of the enumeration values that determines the direction of the pipe.
  A safe handle for the pipe that this object will encapsulate.
  A safe handle for the object.
- Constructor
  4.0.0.0

  A value of is not supported because anonymous pipes are defined to be one-way.

  This constructor creates an object without pipe security.

  Initializes a new instance of the class with the specified pipe direction, inheritability mode, and buffer size.

  One of the enumeration values that determines the direction of the pipe.
  One of the enumeration values that determines whether the underlying handle can be inherited by child processes. Must be set to either or .
  The size of the buffer. This value must be greater than or equal to 0.
- Constructor
  4.0.0.0

  A value of is not supported because anonymous pipes are defined to be one-way.

  Initializes a new instance of the class with the specified pipe direction, inheritability mode, buffer size, and pipe security.

  One of the enumeration values that determines the direction of the pipe.
  One of the enumeration values that determines whether the underlying handle can be inherited by child processes.
  The size of the buffer. This value must be greater than or equal to 0.
  An object that determines the access control and audit security for the pipe.
- Property
  4.0.0.0
  System.MonoTODO
  Microsoft.Win32.SafeHandles.SafePipeHandle To be added.

  The method should be called after a client handle has been passed to a client process. If this method is not called, the object will not receive notice when the client disposes of its object.

  Gets the safe handle for the object that is currently connected to the object.

- Method
  4.0.0.0
  System.MonoTODO
  System.Void

  The method should be called after the client handle has been passed to the client. If this method is not called, the object will not receive notice when the client disposes of its object.

  Closes the local copy of the object's handle.

- Method
  4.0.0.0
  System.String

  The method should be called after a client handle has been passed to a client process. If this method is not called, the object will not receive notice when the client disposes of its object.

  Gets the connected object's handle as a string.

  A string that represents the connected object's handle.

- Property
  4.0.0.0
  System.IO.Pipes.PipeTransmissionMode To be added.

  Anonymous pipes do not support read mode.

  Sets the reading mode for the object. For anonymous pipes, transmission mode must be .

- Property
  4.0.0.0
  System.IO.Pipes.PipeTransmissionMode To be added.

  Anonymous pipes do not support read mode.

  Gets the pipe transmission mode that is supported by the current pipe.